package net.wanji.opt.service.impl;

import lombok.extern.slf4j.Slf4j;
import net.wanji.databus.bo.CrossIdBO;
import net.wanji.databus.dao.mapper.CrossDataRealtimeMapper;
import net.wanji.databus.dao.mapper.CrossDirDataRealtimeMapper;
import net.wanji.databus.po.CrossDataRealtimePO;
import net.wanji.databus.po.CrossDirDataRealtimePO;
import net.wanji.opt.service.CrossIndexService;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author duanruiming
 * @date 2024/11/25 19:12
 */
@Service
@Slf4j
public class CrossIndexServiceImpl implements CrossIndexService {

    @Resource
    private CrossDirDataRealtimeMapper crossDirDataRealtimeMapper;
    @Resource
    private CrossDataRealtimeMapper crossDataRealtimeMapper;

    @Override
    public Map<Integer, CrossDirDataRealtimePO> crossDirIndex(CrossIdBO crossIdBO) {
        List<CrossDirDataRealtimePO> crossDirDataRealtimePOS = crossDirDataRealtimeMapper.selectBycrossId(crossIdBO.getCrossId());
        if (!CollectionUtils.isEmpty(crossDirDataRealtimePOS)) {
            Map<Integer, CrossDirDataRealtimePO> dirDataMap = new HashMap<>(crossDirDataRealtimePOS.size());
            for (CrossDirDataRealtimePO crossDirDataRealtimePO : crossDirDataRealtimePOS) {
                dirDataMap.put(crossDirDataRealtimePO.getDirType(), crossDirDataRealtimePO);
            }
            return dirDataMap;
        }
        return null;
    }

    @Override
    public CrossDataRealtimePO crossIndex(CrossIdBO crossIdBO) {
        CrossDataRealtimePO crossDataRealtimePO = crossDataRealtimeMapper.selectByCrossId(crossIdBO.getCrossId());
        return crossDataRealtimePO;
    }
}
